#!/bin/bash

service named status
named_running=`echo "$?"`
service nscd status
nscd_running=`echo "$?"`

service named stop
service nscd stop

mkdir saverecentconfig || exit 1

mv /etc/named.conf ./saverecentconfig/
mv /etc/resolv.conf ./saverecentconfig/

cp 705fb50377.asia.zone /var/named/
cp named.conf /etc/
cp resolv.conf /etc/

service named start

getent ahosts dns1.705fb50377.asia > ahosts_nscd_off
getent ahosts dns2.705fb50377.asia >> ahosts_nscd_off

service nscd start

getent ahosts dns1.705fb50377.asia > ahosts_nscd_on
getent ahosts dns2.705fb50377.asia >> ahosts_nscd_on

service named stop
service nscd stop

rm -f /var/named/705fb50377.asia.zone
rm -f /etc/named.conf
rm -f /etc/resolv.conf

mv ./saverecentconfig/named.conf /etc/
mv ./saverecentconfig/resolv.conf /etc/

rm -rf ./saverecentconfig/

[ $named_running == 0 ] && service named start
[ $nscd_running == 0 ] && service nscd start
